> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get Collection > Returns the details of a collection. Collections can group both videos and live streams, reflected separately in VideoCount and LiveStreamCount; PreviewImageUrls only reflects the videos in the collection. ## OpenAPI ````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /library/{libraryId}/collections/{collectionId} openapi: 3.0.0 info: title: Stream API termsOfService: https://bunny.net/tos contact: name: bunny.net url: https://docs.bunny.net email: support@bunny.net version: 1.6.21 servers: - url: https://video.bunnycdn.com security: [] tags: - name: Manage Collections - name: Encoding Statistics - name: Manage Videos paths: /library/{libraryId}/collections/{collectionId}: get: tags: - Manage Collections summary: Get Collection description: >- Returns the details of a collection. Collections can group both videos and live streams, reflected separately in VideoCount and LiveStreamCount; PreviewImageUrls only reflects the videos in the collection. operationId: Collection_GetCollection parameters: - name: libraryId in: path required: true description: The ID of the video library. schema: type: integer format: int64 x-position: 1 - name: collectionId in: path required: true description: The unique ID of the collection. schema: type: string x-position: 2 - name: includeThumbnails in: query description: >- If set to true, populates PreviewImageUrls with thumbnails for videos in the collection. schema: type: boolean default: false x-position: 3 responses: '200': description: The details of the requested collection content: application/json: schema: $ref: '#/components/schemas/CollectionModel' '401': description: The request authentication failed content: application/json: schema: $ref: '#/components/schemas/StatusModel' '404': description: The requested collection was not found '500': description: Internal Server Error security: - AccessKey: [] components: schemas: CollectionModel: type: object additionalProperties: false properties: videoLibraryId: type: integer description: The video library ID that contains the collection format: int64 guid: type: string description: The unique ID of the collection nullable: true name: type: string description: The name of the collection nullable: true videoCount: type: integer description: >- The number of on-demand videos in the collection. Live streams in the collection are not included in this count. format: int64 liveStreamCount: type: integer description: >- The number of live streams in the collection. On-demand videos are not included in this count. format: int64 totalSize: type: integer description: The total storage size of all videos in the collection, in bytes. format: int64 previewVideoIds: type: string description: >- Comma-separated list of video GUIDs used as preview thumbnails for the collection. nullable: true previewImageUrls: type: array description: The URLs of preview images of videos in the collection nullable: true items: type: string StatusModel: type: object additionalProperties: false properties: success: type: boolean description: Determines if the request was successful message: type: string description: >- Human-readable message describing the result, typically populated with error details when Success is false. nullable: true statusCode: type: integer description: The HTTP status code corresponding to the result of the request. format: int32 securitySchemes: AccessKey: type: apiKey description: AccessKey based authentication name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.